Name: vcredist2015
Description: Microsoft Visual C++ Redistributable for Visual Studio 2015
Provider: Microsoft
License: Microsoft EULA
License_url: https://www.microsoft.com/web/webpi/eula/net_library_eula_enu.htm
Dependencies: []
Steps:
- action: install_exe
  file_name: VC_redist.x86.exe
  url: https://download.microsoft.com/download/9/3/F/93FCF1E7-E6A4-478B-96E7-D4B285925B00/vc_redist.x86.exe
  rename: vcredist2015_x86.exe
  file_checksum: 1a15e6606bac9647e7ad3caa543377cf
  file_size: 13767776
  arguments: /quiet /norestart

- action: install_exe
  file_name: VC_redist.x64.exe
  url: https://download.microsoft.com/download/9/3/F/93FCF1E7-E6A4-478B-96E7-D4B285925B00/vc_redist.x64.exe
  rename: vcredist2015_x64.exe
  file_checksum: 27b141aacc2777a82bb3fa9f6e5e5c1c
  file_size: 14572000
  arguments: /quiet /norestart
  for:
    - win64
  
- action: override_dll
  dll: api-ms-win-crt-private-l1-1-0
  type: native,builtin

- action: override_dll
  dll: api-ms-win-crt-conio-l1-1-0
  type: native,builtin

- action: override_dll
  dll: api-ms-win-crt-convert-l1-1-0
  type: native,builtin
  
- action: override_dll
  dll: api-ms-win-crt-environment-l1-1-0
  type: native,builtin

- action: override_dll
  dll: api-ms-win-crt-filesystem-l1-1-0
  type: native,builtin

- action: override_dll
  dll: api-ms-win-crt-heap-l1-1-0
  type: native,builtin

- action: override_dll
  dll: api-ms-win-crt-locale-l1-1-0
  type: native,builtin

- action: override_dll
  dll: api-ms-win-crt-math-l1-1-0
  type: native,builtin

- action: override_dll
  dll: api-ms-win-crt-multibyte-l1-1-0
  type: native,builtin

- action: override_dll
  dll: api-ms-win-crt-process-l1-1-0
  type: native,builtin

- action: override_dll
  dll: api-ms-win-crt-runtime-l1-1-0
  type: native,builtin

- action: override_dll
  dll: api-ms-win-crt-stdio-l1-1-0
  type: native,builtin

- action: override_dll
  dll: api-ms-win-crt-string-l1-1-0
  type: native,builtin

- action: override_dll
  dll: api-ms-win-crt-utility-l1-1-0
  type: native,builtin

- action: override_dll
  dll: api-ms-win-crt-time-l1-1-0
  type: native,builtin

- action: override_dll
  dll: atl140
  type: native,builtin

- action: override_dll
  dll: concrt140
  type: native,builtin

- action: override_dll
  dll: msvcp140
  type: native,builtin

- action: override_dll
  dll: msvcr140
  type: native,builtin

- action: override_dll
  dll: ucrtbase
  type: native,builtin

- action: override_dll
  dll: vcomp140
  type: native,builtin
  
- action: override_dll
  dll: vcruntime140
  type: native,builtin
